Subject: bug#32549: Allow passing custom options to vc-git-grep

From: Noam Postavsky <[email-masked]>
Date: Tue, 28 Aug 2018 20:45:10 -0400

Federico Tedin <[email-masked]> writes:

> when calling vc-git-grep directly or indirectly with
> current-prefix-arg '(4), I am always prompted for the full git-grep
> command. I would like to skip this step completely,
> and always use a custom set of arguments (like, for example, "-C 3"). Then, I
> would be prompted for a regexp and (maybe) files, which would be added to this
> custom git-grep command's arguments (this is how the rgrep command works, I
> think).

Ah, I see what you mean, vc-git-grep hardcodes the grep-command
template, so it doesn't allow for this.  Would you like to send a patch?